Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xmerge
Class DOMDocument

    java.lang.Object
      writer2latex.xmerge.DOMDocument

All Implemented Interfaces:
  OutputFile, Document

Direct Known Subclasses:
  NewDOMDocument, XhtmlDocument

    public class DOMDocument

extends java.lang.Object
implements Document

An implementation of `Document` for StarOffice documents.

Field Summary
`private org.w3c.dom.Document` | `contentDoc` DOM `Document` of content.xml.
`private java.lang.String` | `documentName`
`private static javax.xml.parsers.DocumentBuilderFactory` | `factory` Factory for `DocumentBuilder` objects.
`private java.lang.String` | `fileExt`
`private java.lang.String` | `fileName`
`private org.w3c.dom.Document` | `styleDoc` DOM `Document` of content.xml.

Constructor Summary
`DOMDocument(java.lang.String name, java.lang.String ext)` Default constructor.
`DOMDocument(java.lang.String name, java.lang.String ext, boolean namespaceAware, boolean validating)` Constructor with arguments to set `namespaceAware` and `validating` flags.

Method Summary
`private org.w3c.dom.Document` | `createDOM(java.lang.String rootName)` Creates a new DOM `Document` containing minimum OpenOffice XML tags.
`private byte[]` | `docToBytes(org.w3c.dom.Document doc)` Write out a `org.w3c.dom.Document` object into a `byte` array.
`org.w3c.dom.Document` | `getContentDOM()` Return a DOM `Document` object of the document content file.
`protected java.lang.String` | `getFileExtension()` Returns the file extension of the `Document` represented.
`java.lang.String` | `getFileName()` Return the file name of the `Document`, possibly with the standard extension.
`java.lang.String` | `getName()` Return the name of the `Document`.
`void` | `initContentDOM()` Initializes a new DOM `Document` with the content containing minimum XML tags.
`void` | `read(java.io.InputStream is)` Read the Office `Document` from the specified `InputStream`.
`void` | `setContentDOM(org.w3c.dom.Node newDom)` Sets the Content of the `Document` to the contents of the supplied `Node` list.
`private java.lang.String` | `trimDocumentName(java.lang.String name)` Removes the file extension from the `Document` name.
`void` | `write(java.io.OutputStream os)` Write out content to the supplied `OutputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    private static javax.xml.parsers.DocumentBuilderFactory factory

  Factory for `DocumentBuilder` objects.

### contentDoc

    private org.w3c.dom.Document contentDoc

  DOM `Document` of content.xml.

### styleDoc

    private org.w3c.dom.Document styleDoc

  DOM `Document` of content.xml.

### documentName

    private java.lang.String documentName

### fileName

    private java.lang.String fileName

### fileExt

    private java.lang.String fileExt

Constructor Detail

### DOMDocument

    public DOMDocument(java.lang.String name,
                       java.lang.String ext)

  Default constructor.

  Parameters:
    `name` - `Document` name.
    `ext` - `Document` extension.

### DOMDocument

    public DOMDocument(java.lang.String name,
                       java.lang.String ext,
                       boolean namespaceAware,
                       boolean validating)

  Constructor with arguments to set `namespaceAware` and `validating` flags.

  Parameters:
    `name` - `Document` name (may or may not contain extension).
    `ext` - `Document` extension.
    `namespaceAware` - Value for `namespaceAware` flag.
    `validating` - Value for `validating` flag.

Method Detail

### getFileExtension

    protected java.lang.String getFileExtension()

  Returns the file extension of the `Document` represented.

  Returns:
    file extension of the `Document`.

### trimDocumentName

    private java.lang.String trimDocumentName(java.lang.String name)

  Removes the file extension from the `Document` name.

  Parameters:
    `name` - Full `Document` name with extension.
  Returns:
    Name of `Document` without the extension.

### getContentDOM

    public org.w3c.dom.Document getContentDOM()

  Return a DOM `Document` object of the document content file. Note that a content DOM is not created when the constructor is called. So, either the `read` method or the `initContentDOM` method will need to be called ahead on this object before calling this method.

  Returns:
    DOM `Document` object.

### setContentDOM

    public void setContentDOM(org.w3c.dom.Node newDom)

  Sets the Content of the `Document` to the contents of the supplied `Node` list.

### getName

    public java.lang.String getName()

  Return the name of the `Document`.

  Specified by:
    `getName` in interface `Document`
  Returns:
    The name of `Document`.

### getFileName

    public java.lang.String getFileName()

  Return the file name of the `Document`, possibly with the standard extension.

  Specified by:
    `getFileName` in interface `OutputFile`
  Returns:
    The file name of `Document`.

### read

    public void read(java.io.InputStream is)
              throws java.io.IOException

  Read the Office `Document` from the specified `InputStream`.

  Specified by:
    `read` in interface `Document`
  Parameters:
    `is` - Office document `InputStream`.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

  Write out content to the supplied `OutputStream`.

  Specified by:
    `write` in interface `OutputFile`
  Parameters:
    `os` - XML `OutputStream`.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### docToBytes

    private byte[] docToBytes(org.w3c.dom.Document doc)
                       throws java.io.IOException

  Write out a `org.w3c.dom.Document` object into a `byte` array.

  TODO: remove dependency on com.sun.xml.tree.XmlDocument package!

  Parameters:
    `Document` - DOM `Document` object.
  Returns:
    `byte` array of DOM `Document` object.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### initContentDOM

    public final void initContentDOM()
                              throws java.io.IOException

  Initializes a new DOM `Document` with the content containing minimum XML tags.

  Throws:
    `java.io.IOException` - If any I/O error occurs.

### createDOM

    private final org.w3c.dom.Document createDOM(java.lang.String rootName)
                                          throws java.io.IOException

  Creates a new DOM `Document` containing minimum OpenOffice XML tags.

  This method uses the subclass `getOfficeClassAttribute` method to get the attribute for office:class.

  Parameters:
    `rootName` - root name of `Document`.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD